package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class TarmdecomisoarmaDTO implements Serializable {

    private static final long serialVersionUID = 670531523349487L;

    private String cdecomisoarma;

    private java.util.Date fdecomiso;

    private Integer cantidad;

    private String observacion;

    private String estadoanterior;

    private String tiporegistroanterior;

    private String enbodega;

    private Long cdecarmtranrecepcion;

    private String numerotransaccion;

    private String coperaciontransaccion;

    private Integer carma;

    private Integer ccustemp;

    private Integer cdecomiso;

    private Integer cdecomisoarmatransaccion;

    private Integer tgenecatalogdetail;

    private Integer tgenecatalogdetail1;

    private Integer tgenecatalogdetail2;

    private Integer tgenecatalogdetail3;

        public String getCdecomisoarma() {
    return cdecomisoarma;
    }

        public void setCdecomisoarma(String cdecomisoarma) {
    this.cdecomisoarma = cdecomisoarma;
    }

        public java.util.Date getFdecomiso() {
    return fdecomiso;
    }

        public void setFdecomiso(java.util.Date fdecomiso) {
    this.fdecomiso = fdecomiso;
    }

        public Integer getCantidad() {
    return cantidad;
    }

        public void setCantidad(Integer cantidad) {
    this.cantidad = cantidad;
    }

        public String getObservacion() {
    return observacion;
    }

        public void setObservacion(String observacion) {
    this.observacion = observacion;
    }

        public String getEstadoanterior() {
    return estadoanterior;
    }

        public void setEstadoanterior(String estadoanterior) {
    this.estadoanterior = estadoanterior;
    }

        public String getTiporegistroanterior() {
    return tiporegistroanterior;
    }

        public void setTiporegistroanterior(String tiporegistroanterior) {
    this.tiporegistroanterior = tiporegistroanterior;
    }

        public String getEnbodega() {
    return enbodega;
    }

        public void setEnbodega(String enbodega) {
    this.enbodega = enbodega;
    }

        public Long getCdecarmtranrecepcion() {
    return cdecarmtranrecepcion;
    }

        public void setCdecarmtranrecepcion(Long cdecarmtranrecepcion) {
    this.cdecarmtranrecepcion = cdecarmtranrecepcion;
    }

        public String getNumerotransaccion() {
    return numerotransaccion;
    }

        public void setNumerotransaccion(String numerotransaccion) {
    this.numerotransaccion = numerotransaccion;
    }

        public String getCoperaciontransaccion() {
    return coperaciontransaccion;
    }

        public void setCoperaciontransaccion(String coperaciontransaccion) {
    this.coperaciontransaccion = coperaciontransaccion;
    }

        public Integer getCarma() {
    return carma;
    }

        public void setCarma(Integer carma) {
    this.carma = carma;
    }

        public Integer getCcustemp() {
    return ccustemp;
    }

        public void setCcustemp(Integer ccustemp) {
    this.ccustemp = ccustemp;
    }

        public Integer getCdecomiso() {
    return cdecomiso;
    }

        public void setCdecomiso(Integer cdecomiso) {
    this.cdecomiso = cdecomiso;
    }

        public Integer getCdecomisoarmatransaccion() {
    return cdecomisoarmatransaccion;
    }

        public void setCdecomisoarmatransaccion(Integer cdecomisoarmatransaccion) {
    this.cdecomisoarmatransaccion = cdecomisoarmatransaccion;
    }

        public Integer getTgenecatalogdetail() {
    return tgenecatalogdetail;
    }

        public void setTgenecatalogdetail(Integer tgenecatalogdetail) {
    this.tgenecatalogdetail = tgenecatalogdetail;
    }

        public Integer getTgenecatalogdetail1() {
    return tgenecatalogdetail1;
    }

        public void setTgenecatalogdetail1(Integer tgenecatalogdetail1) {
    this.tgenecatalogdetail1 = tgenecatalogdetail1;
    }

        public Integer getTgenecatalogdetail2() {
    return tgenecatalogdetail2;
    }

        public void setTgenecatalogdetail2(Integer tgenecatalogdetail2) {
    this.tgenecatalogdetail2 = tgenecatalogdetail2;
    }

        public Integer getTgenecatalogdetail3() {
    return tgenecatalogdetail3;
    }

        public void setTgenecatalogdetail3(Integer tgenecatalogdetail3) {
    this.tgenecatalogdetail3 = tgenecatalogdetail3;
    }

}